Bug 140444 - EDITING: Creating a view from a query crashes whole LO
Summary: EDITING: Creating a view from a query crashes whole LO
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
7.1.0.3 release
Hardware: x86-64 (AMD64) Linux (All)
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0 target:7.1.2 target:7.1.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-02-16 13:46 UTC by Robert Großkopf
Modified: 2021-02-23 14:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Open the database and try to create a view from "Abfrage2" (4.71 KB, application/vnd.oasis.opendocument.database)
2021-02-16 13:46 UTC, Robert Großkopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Großkopf 2021-02-16 13:46:24 UTC
Created attachment 169780 [details]
Open the database and try to create a view from "Abfrage2"

Open the attached database.
Go to pane queries.
Right mouseclick on "Abfrage2" and choose "Create as View".
Name the view as "Ans_Anz" or something else.
Press OK.

LO crashes immediately.

This bug happens in LO 7.1.0.3 on OpenSUSE 15.2.
This bug doesn't happen in LO 7.0.4.2 on the same system.
So it's a regression.
Comment 1 Xisco Faulí 2021-02-16 14:50:44 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=46c34d5abcc3fb709de4c3a6a62649f1fe41ec9c

author	Caolán McNamara <caolanm@redhat.com>	2020-08-07 14:33:07 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2020-08-12 20:21:10 +0200
commit	46c34d5abcc3fb709de4c3a6a62649f1fe41ec9c (patch)
tree	cb2033f6b83d3109e9144dddade1a92dc3d1e54c
parent	c299e1255974c5564333480a5f8f0877c1011bc4 (diff)
weld DBTreeListBox

Bisected with: bibisect-linux64-7.1

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2021-02-18 08:41:25 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ad4d715ca69d6f09fb2d8a713c79edb999ad2316

Resolves: tdf#140444 return early before null-deref

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2021-02-18 08:48:07 UTC
fixed in master and backport to 7-1 in gerrit
Comment 4 Commit Notification 2021-02-18 10:26:41 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/6953b18e20d048abc1330b79fc57c395db00bac3

Resolves: tdf#140444 return early before null-deref

It will be available in 7.1.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-02-23 14:26:21 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1-1":

https://git.libreoffice.org/core/commit/1f0cc101380c20113c86aebc7e80170e675e31ed

Resolves: tdf#140444 return early before null-deref

It will be available in 7.1.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.